#pragma once

#include "CoreMinimal.h"
#include "Perk.h"
#include "Templates/SubclassOf.h"
#include "S49P01.generated.h"

class UStatusEffect;

UCLASS(Blueprintable, Abstract, meta=(BlueprintSpawnableComponent))
class US49P01 : public UPerk
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<UStatusEffect> _S49P01HealingBuffStatusEffectClass;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, Instanced, meta=(AllowPrivateAccess=true))
	UStatusEffect* _S49P01HealingBuffStatusEffect;

	UPROPERTY(EditAnywhere)
	int32 _maxTokenCountAtLevel;

	UPROPERTY(EditAnywhere)
	int32 _numberOfTokenGainedOnSkillCheckSuccess;

	UPROPERTY(EditAnywhere)
	int32 _numberOfTokenLostOnSkillCheckFail;

	UPROPERTY(EditAnywhere)
	float _healingBonusSpeed;

public:
	US49P01();
};

FORCEINLINE uint32 GetTypeHash(const US49P01) { return 0; }
